Version:   2.6.2
Location:  http://www.yudit.org/
Author:    Gaspar Sinai <gsinai@yudit.org>
Copyright: Released under the GNU General Public License, version 2, 
           dated June 1991, worded by the Free Software Foundation.
           Please read the file COPYING. (GNU)
           
Features
========
-Unicode text editor with experimental bi-directional support.
-Composing character support.
-Shaping support.
-Indic script support: Tamil,Devanagari,Bengali,Gujarati,Gurmukhi,Oriya,
  Malayalam,Telugu,Kannada
-Multi Language GUI
-Conversions between character encodings
-DOS/Unix/Mac fileformat support.
-Built-in transliteration keyboard maps
-Built-in handwriting recognition
-True Type, Open Type and X11 font supprt
-Experimental Pango X11 font support.
-Multiple True Type and X11 fonts can be mixed to make a virtual font. 
-Postscript printing support with True Type fonts and bitmap X11 fonts.
-Unlimited undo/redo.
-Key accelerators
-On-line help 
-Cut and Paste
-Find/Replace text
-Goto line,column
-UCS-4 support / surrogates support
-Drag and drop (xdnd) support (only on Unix)
-Private Use Area - Old Hungarian (rovásírás - )
-Software glyph mirroring (Old Hungarian,Old Italic)

How to Install
==============
Prerequisites:
--needed: gcc-2.96 or better  http://gcc.gnu.org/
--needed: gmake 3.75 or greater ftp://prep.ai.mit.edu/
--needed: X11R5 or greater (www.xfree86.org)
--recommended gettext 0.10 or better for multi-language message support
  From version-2.4.8 it is only needed when making your own messages.
  Reading gettext generated files are internally supported.
--optional: a lot of True Type fonts are available for free:
  From www.microsoft.com you can get gulim (Hangul), msgothic (Japanese) for IE.
  From www.bitstream.com you can get cyberbit that contains a lot of glyphs.
  From ftp://ftp.cs.indiana.edu/pub/fidel/fonts/ 
      you can get Ethiopic fonts (gfzemenu).
--recommended:
  Several UCS fonts:
    http://www.cl.cam.ac.uk/~mgk25/ucs-fonts.html
  Unifont:
    http://www.czyborra.com/unifont/
--recommened literature:
  http://www.cl.cam.ac.uk/~mgk25/unicode.html

Installation Process
====================
Linux:

1. configure --prefix=/usr/local
2. make
3. make install

Solaris:

1. configure --prefix=/opt/Misc
2. make
3. make install

FreeBSD:

1. ./configure --prefix=/usr/local
2. gmake
3. gmake install

Windows:

1. run setup.exe
2. install into a directory, like:
   C:\Yudit
   * Good to know: if you dont have setup.exe or you want to move 
     yudit manually to another direcotry you just need mytool to 
     change installdir:
      C:\NewInstallBaseDir\bin\mytool -installdir "C:\NewInstallBaseDir"
3. install ghostview from, for instance, http://www.ghostgum.com.au/
   into, like:
   C:\Ghostgum
4. If you install ghostview into any other directory, modify
      %HOME%\.yudit\yudit.properties
   and
      C:\Yudit\config\yudit.properties
   * Note: there is an editor that can edit unix files called yudit :)
      yudit C:/Yudit/config/yudit.properties
   and set yudit.default.preview.command to the command to execute:
      yudit.default.preview.command="C:/Ghostgum/gsview/gsview32.exe"

How to make an rpm package form Yudit sources
=============================================
1. rpm -tb yudit-2.5.4.tar.gz
  This will tell you where to put the compresed source code.Put it there.
  Most likely:
  Suse: /usr/src/packages/SOURCES/yudit-2.5.4.tar.gz
  or
  Redhat: /usr/src/redhat/SOURCES/yudit-2.5.4.tar.gz
2. rpm -i [binary rpm]

Does the GUI speak my language?
==============================
Yudit menus can be displayed in several langauges.

In  ~/.yudit/yudit.properties file you can specify:

    yudit.default.language=langauge_code

The following languages are supported:

Tag Country/Language      Translated and contributed by 
=== ===================   =============================
am  Amharic/Ethiopia      Daniel Yacob <locales@geez.org>
ar  Arabic/               Mohamed kebdani <kebdani1@iam.net.ma>
az  Azerbaijani Turkish   Vasif İsmailoglu <azerb_linux@hotmail.com>
bg  Bulgaria/Bulgarian    Alexander Shopov <al_shopov@web.bg>
de  Germany/German        Thomas.Wohlfarth <Thomas.Wohlfarth@gmx.net>
en  US/English            Gáspár Sinai <gsinai@yudit.org>
es  Spain/Spanish         Juan Rafael Fernández García <jrfern@bigfoot.com>
fi  Finland/Finnish       Miikka-Markus Alhonen <Miikka-Markus.Alhonen@tigatieto.com>
fr  France/French         Olivier Faucheux <olivier.faucheux@etu.enseeiht.fr>
hi  Hindi                 Sanjay Khatri <sk_ind@vsnl.net>
hu  Hungary/Hungarian     Gáspár Sinai <gsinai@yudit.org>
ja  Japan/Japanese        Inui Yuko / Gáspár Sinai <yuko@yudit.org>
ko  Korea/Korean          Jungshik Shin <jshin@mailaps.org> 
sl  Slovenia/Slovenian    Roman Maurer <roman.maurer@amis.net>
sr  Yugoslavia/Serbian    Slobodan Marković <twiddle@eunet.yu> 
ta  Tamil                 Thuraiappah Vaseeharan <t_vasee@yahoo.com>
uk  Ukrainian             Solotskyy Mykola <salo@tokyo.email.ne.jp>
vi  Vietnamese/Vietnam    Hoan <hoan@wanadoo.fr>
yi  Israel/Yiddish        Raphael Finkel <raphael@cs.uky.edu>
zh  Chinese/HongKong      Joe Man <trmetal@yahoo.com.hk>

If you specify 

    yudit.default.language=default

The environment variable LANG will be used to determine the 
language. You this options sparingly - it is not garanteed that
the font is available.

If your langauge does not appear properly, you might need to
change 
 yudit.default.font=default
to
 yudit.default.font=MyVirtualFont

The default font is internally defined as:
 "-*-*-medium-r-normal--16-*-*-*-c-*-iso8859-1,"
 "-*-*-*-*-*--16-*-*-*-c-*-iso8859-1,"
 "cyberbit.ttf,code2000.ttf,arial.ttf,yudit.ttf:cp-1250"

How to translate yudit messages to my language
==============================================

1. cd gui
2. mkdir -p locale/country_and_variant/LC_MESSAGES/
3. make messages
4. yudit -e utf-8 locale/country_and_variant/LC_MESSAGES/messages.po
5. make messages
6. make install
7. mail -s locale/country_and_variant \
     gsinai@yudit.org < locale/country_and_variant/LC_MESSAGES/messages.po
8. add 
    yudit.default.language=country_and_variant
   to ~/.yudit/yudit.properties
   you may wan to add:
    yudit.default.font=yourfont
    yudit.default.fontsize=yourfontsize
  A good result can be achieved if you download and install the 

   http://www.cl.cam.ac.uk/~mgk25/download/ucs-fonts.tar.gz

  - mkdir x11fonts   (or re-use .yudit/fonts)
  - cd x11fonts
  - wget http://www.cl.cam.ac.uk/~mgk25/download/ucs-fonts.tar.gz
  - tar xfz ucs-fonts.tar.gz
  - xset fp+ ~/x11fonts 
  - (optional) put the line above into ~/.Xinitrc
  - change ~/.yudit/yudit.properties

         yudit.default.font=Misc
         yudit.default.fontsze=15

9. Sometimes you may have a translation but it does not appear.
  Possible and not obvious reasons:
  - if the original message has \n at the end the translation should
    have it too.
  - if you see the fuzzy keyword in a comment preceeding the message
    it wont be included. Remove the fuzzy comment.
   
     
Japanese Input
==============
If you have built the Motif version you can also use Kinput2 to input Japanese.

If you want to use free packages and you have an English environment
you need to do the following:

o Get a conversion server, 'canna' from X11 contrib directory.
  This server can be built in Linux. It is usually started when the machine
  boots and keeps running. Make sure it uses its own wide text library.
  No Japanese environment is needed.

o Get a 'kinput2' X front-end for X11 from the same place you got canna.
  If you don not have Japanese environment, make sure it links with libcanna16.
  Kinput is started after X in .xinitrc and it provides the input windows
  for the applications.

  The current version of kinput2 has a bug - it thinks that long is 32 bit,
  which is true on a pentium machine. On an alpha machine you should make
  sure you have a version number set to less than 2.02 in your .yuditrc so
  that yudit knows that it should deal with a buggy kinput2. If you have a
  value of zero, yudit tries to determine the version number itself.

Hangul Input
============
Yudit comes with kmap files for Roman transliteration, 2-set and 3-set
keyboards. I expect yudit to improve on this area.

Adding New Mappings
===================
Please read the man page for mytool. FAQ.TXT also has some information.
Note that some indic scripts can come as clustering kmaps (type=clkmap).
For clues on how to create an Handwriting input please read the
mytool/hwd/hiragana.hwd utf-8 encoded file, or the same file in
/usr/share/yudit/data/hiragana.hwd.


Acknowledgements
================
乾優子 <yuko@yudit.org> for her support, and her hiargana and katakana 
handwriting data.
Andrew Weeks at the University of Bath for releasing his True Type 
  to postscript (ttf2pfa) program.
Hosszu Gabor <hosszu@Nimrud.eet.bme.hu> Old Hungarian Support
Jungshik Shin <jshin@pantheon.yale.edu> Korean support
Jim Breen <jwb@dgs.monash.edu.au> for the extensive tests and
 bug reports.
Markus Kuhn <Markus.Kuhn@cl.cam.ac.uk> for the unicode FAQ and the good
  advise.
Mohammed Elzubeir <elzubeir@fakkir.net> for helping me with Arabic.
Miikka-Markus Alhonen <Miikka-Markus.Alhonen@tigatieto.com> for the
 huge amount of help in many scripts.
Peter Soos <sp@osb.hu> - cp-1251 encoded vector font (TTF).
Raphael Finkel <rfinkel@mail.csse.monash.edu.au> - extensive debugging
Rajkumar S. <raj2569@yahoo.com> - Malayalam, contributor of dc-font.ttf
Ričardas Čepas <rch@richard.eu.org> - FreeBSD port
Robert Wells for JStroke
Roman Czyborra <czyborra@dds.nl> kmap files, web-page, unifont
Thomas Wohlfarth <thomas.wohlfart@usa.net>, <thomas.wohlfarth@gmx.net> 
  - translations, tests
Thuraiappah Vaseeharan <t_vasee@yahoo.com> for his help and contributions
 to Tamil in Yudit. 
Richard Tebb <richard.tebb@convergys.com> - for 'remote debugging' on Sparc
Todd David Rudick for his program JavaDict, and the kanji hwd.
Tony Laszlo <laszlo@gol.com> - extensive debugging 
...
and you know who you are....

Useful Links
============
+Unicode
*Unicode Consortium *http://www.unicode.org/
*Unicode FAQ *http://www.cl.cam.ac.uk/~mgk25/unicode.html
*Linux HOWTO *http://howto.tucows.com/LDP/HOWTO/Unicode-HOWTO.html
*Czyborra.com *http://www.czyborra.com/
*TERENA *http://www.terena.nl/projects/multiling/index.html
*ICU*http://oss.software.ibm.com/icu/overview.html
*QEmacs*http://www-stud.enst.fr/~bellard/qemacs/
 
+X11 Fonts
*HOW-TO*http://www.linuxdoc.org/HOWTO/mini/FDU/
*Unifont *http://www.czyborra.com/unifont/
*UCS fonts *http://www.cl.cam.ac.uk/~mgk25/ucs-fonts.html
*ETL Unicode *ftp://ftp.x.org/contrib/fonts/

+TTF Fonts
*Freetype Library *http://freetype.org/
*Unicode TTF *http://www.ccss.de/slovo/unifonts.htm
*Cyberbit font *http://jefferson.village.virginia.edu/babble/download/cyberbit.html
*MS TTF*http://www.microsoft.com/typography/fontpack/
*TTF Archive*http://hopi.dtcc.edu/~berlin/fonts.html
*True Type Library*http://www.brockmeiers.de/fonts/
*TheFreeSite.com*http://www.thefreesite.com/Free_Fonts/
*http://www.asahi-net.or.jp/~sd5a-ucd/freefonts/extended-watanabe-mincho/index.html.ja.sjis
*http://www.on.cs.keio.ac.jp/~yasu/jp_fonts.html
 
+Postscript
*First Guide*http://www.cs.indiana.edu/docproject/programming/postscript/postscript.html
*WPrint*http://ttt.esperanto.org.uy/programoj/angle/wprint.html
*Type1 sampler*http://www.squirrel.nl/people/jvromans/software.html 

==============================================================================
Gáspár Sinai <gsinai@yudit.org>
Tokyo 2002-06-05

